Bug 30494 - Replace the use of jQueryUI Accordion on the table settings page
Summary: Replace the use of jQueryUI Accordion on the table settings page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks: 29224 30545 30549
  Show dependency treegraph
 
Reported: 2022-04-07 17:14 UTC by Owen Leonard
Modified: 2022-05-13 15:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30494: Replace the use of jQueryUI Accordion on the table settings page (26.15 KB, patch)
2022-04-08 10:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30494: Replace the use of jQueryUI Accordion on the table settings page (26.21 KB, patch)
2022-04-08 19:25 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30494: Replace the use of jQueryUI Accordion on the table settings page (26.27 KB, patch)
2022-04-20 13:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-07 17:14:17 UTC
As part of Bug 29224, "OMNIBUS: Replace the use of jQueryUI Accordion" we should replace the use of the jQueryUI accordion component on the table settings page with Bootstrap's Collapse component.
Comment 1 Owen Leonard 2022-04-08 10:56:05 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2022-04-08 19:25:28 UTC
Created attachment 133124 [details] [review]
Bug 30494: Replace the use of jQueryUI Accordion on the table settings page

This page updates the table settings page so that it uses Bootstrap's
"Collapse" feature instead of jQueryUI's Accordion.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Administration -> Table settings.
- You should see a list of table settings which looks much the same as
  it did before, with arrow icons prefixing each section header. All
  panels should be collapsed.
- Test expanding and collapsing panels to confirm it's working
  correctly.
- When you expand a section the heading arrow should change from
  right-pointing to down.
- Make a change to one of the table configurations. After clicking
  "Save" the page should reload with the same panel expanded.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Tomás Cohen Arazi 2022-04-20 13:14:31 UTC
Created attachment 133471 [details] [review]
Bug 30494: Replace the use of jQueryUI Accordion on the table settings page

This page updates the table settings page so that it uses Bootstrap's
"Collapse" feature instead of jQueryUI's Accordion.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Administration -> Table settings.
- You should see a list of table settings which looks much the same as
  it did before, with arrow icons prefixing each section header. All
  panels should be collapsed.
- Test expanding and collapsing panels to confirm it's working
  correctly.
- When you expand a section the heading arrow should change from
  right-pointing to down.
- Make a change to one of the table configurations. After clicking
  "Save" the page should reload with the same panel expanded.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Fridolin Somers 2022-05-02 21:25:20 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄